Subject: Re: [PATCH net-next v5 06/12] net: homa: create homa_peer.h and homa_peer.c

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Jan 2025 16:02:56 -0800

On Tue, 7 Jan 2025 13:58:07 -0800 John Ousterhout wrote:
> On Tue, Jan 7, 2025 at 1:24 PM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Tue, 7 Jan 2025 22:02:25 +0100 Eric Dumazet wrote:  
> > > While you are at it, I suggest you test your patch with LOCKDEP enabled,
> > > and CONFIG_DEBUG_ATOMIC_SLEEP=y
> > >
> > > Using GFP_KERNEL while BH are blocked is not good.  
> >
> > In fact splice all of kernel/configs/debug.config into your
> > testing config.  
> 
> Will do. Does "splice" mean anything more than copying
> kernel/configs/debug.config onto the end of my .config file?

I'm not 100% sure but I think:

 make debug.config

should update the current config with the additional values.

> Is there general advice available on managing multiple configs? Sounds
> like I'll need different configs for development/validation and
> performance testing.

I'd maintain the real config and just add the debug stuff based on
kernel/configs/debug.config when building.

I've seen people use the ChromeOS scripts in the past, this I think:
https://chromium.googlesource.com/chromiumos/third_party/kernel/+/M5C14J/chromeos/scripts
but that may be more complicated than what's needed here.